

numdraws	= 1000;	% draws for monte carlo integration in backward solutionq
OBS			= 500;	% number of observation

run_mode = 'std'; 
% "test" - run one iteration with internal prints
% "simplex" - minimize via simplex, no internal prints
% "ga" - minimize via genetic algorithm, , no internal prints
% "std" - calculate standard error of the parameters

% find best beta parameters

%run_list = {'marriage'};
%run_list = {'marriage','child','beta', 'ro', 'alpha'};
%run_list = {'beta', 'alpha', 'ro'};
run_list = {'alpha'};
%run_list = {'school'};
%run_list = {'alpha'};
%run_list = ('beta');

run_list_len = length(run_list);
run_list = char(run_list);

max_wage_idx = 5;

global fitted_moments_out
global actual_moments_out
fitted_moments_out =  zeros(max_wage_idx,T,14);
actual_moments_out = zeros(max_wage_idx,T,14);

% uncomment this line only if not matrix can be loaded
% and global_param initialization exists in the cohort min_estimation.m
%char_matrix = zeros(length(global_param),max_wage_idx);
load char_matrix.mat char_matrix;

char_matrix
for wage_idx = [1:5]
%for wage_idx = [1:max_wage_idx]
	global_param = char_matrix(:,wage_idx);

	if adjust_T_for_year == 1
 		if wage_idx == 4
        		T=T-1;
        		age=age+1;
   		end
	end
	override_global_params
	[husband actual_moments epsilon_b epsilon_f v_b v_f unidraw] = estimation_init(T, numdraws, OBS, yyyy, wage_idx);
	if strcmp(run_mode,'test')
        	min_x = minestimation_test(@estimation_f, global_param, T, numdraws, OBS, husband, actual_moments, epsilon_b, epsilon_f, v_b, v_f, unidraw, wage_idx, age, h_wage_par_chart)
    elseif strcmp(run_mode,'std')
        	minestimation_std(@estimation_f, global_param, T, numdraws, OBS, husband, actual_moments, epsilon_b, epsilon_f,v_b, v_f, unidraw, wage_idx, age, h_wage_par_chart);
    else
		for run_idx = 1:run_list_len
			run_param = strtrim(run_list(run_idx,:));
			if strcmp(run_mode,'simplex')
				[min_x global_param] = minestimation_simplex(@estimation_f, run_param, global_param, T, numdraws, OBS, husband, actual_moments, epsilon_b, epsilon_f,v_b, v_f, unidraw, wage_idx, age, h_wage_par_chart);
			elseif strcmp(run_mode,'ga')	
				[min_x global_param] = minestimation_ga(@estimation_f, run_param, global_param, T, numdraws, OBS, husband, actual_moments, epsilon_b, epsilon_f,v_b, v_f, unidraw, wage_idx, age, h_wage_par_chart);
			else
				error(sprintf('unsupported mode %s', mode));
			end
		end%for run_idx
	end%if

	if strcmp(run_mode,'test') == 0
		for i = 1:length(global_param)
			char_matrix(i,wage_idx) = global_param(i);
			disp(sprintf('\n global_param(%d) = %f;', i, global_param(i)));
		end
	end

end%for wage_idx

format short G

if strcmp(run_mode,'test')
	for i = 1:14
		disp(sprintf('fitted moment %d for all periods and wage indeces', i));
		squeeze(fitted_moments_out(:,:,i))'
		disp(sprintf('actual moment %d for all periods and wage indeces', i));
		squeeze(actual_moments_out(:,:,i))'
	end%for i
else
	save char_matrix.mat char_matrix
end

