
capture log close
drop _all

*************************************************************************
*****  This file creates data for figures on assertive mating.		*
*****  Input file:  CPS_march_6207_couples.dta				*
*************************************************************************

set more 1
set mem 500m


use "C:\Documents and Settings\Tali\My Documents\Female Labor Supply - Eckstein and Lifshitz\data files\CPS_march_6207_couples.dta", clear

* keep relevant population - married couples
keep if spouse_found == 3 & marstat_m == 1

* keep relavant population - women ages 22-65
keep if age_f >= 22 & age_f <= 65

* generate age difference (biased downwards for husbands over 80 due to top coding and grouping of husband's age: 89-01 is top coded at 90, 02-03 is top coded at 80, 04-07 80 is 80-84 and 85 is 85+)
gen age_diff = age_m - age_f

* generate education difference
gen educ_diff = educ_m - educ_f

* keep relevant variables
keep age_diff educ_diff year age_f cohort_f wgt*

save "c:\temp\figures.dta", replace

* all households
collapse (mean) age_diff educ_diff [fw = wgt_f] if wgt_f >= 0, by(year)

outsheet using "c:\temp\figs1.out", replace



* by cohort
use "c:\temp\figures.dta", clear
keep if cohort_f == 1945 | cohort_f == 1955 | cohort_f == 1965 | cohort_f == 1975
collapse (mean) age_diff educ_diff [fw = wgt_f] if wgt_f >= 0, by(cohort_f age_f)

outsheet cohort_f age_f age_diff educ_diff using "c:\temp\figs2.out", replace


