
capture log close
drop _all

*************************************************************************
*****  This file creates data for figures on cohort effect.		*
*****  Input file:  CPS_march_6207_ind.dta				*
*************************************************************************

set more 1
set mem 650m


use "C:\Documents and Settings\Tali\My Documents\Female Labor Supply - Eckstein and Lifshitz\data files\CPS_march_6207_ind.dta", clear

* generate cohort group
gen     cohort_g = 1925 if cohort >= 1923 & cohort <= 1927
replace cohort_g = 1935 if cohort >= 1933 & cohort <= 1937
replace cohort_g = 1945 if cohort >= 1943 & cohort <= 1947
replace cohort_g = 1955 if cohort >= 1953 & cohort <= 1957
replace cohort_g = 1965 if cohort >= 1963 & cohort <= 1967
replace cohort_g = 1975 if cohort >= 1973 & cohort <= 1977

* keep relavant population - ages 22-65
keep if age >= 22 & age <= 65

* keep relevant cohort groups
keep if cohort_g != .

* generate participation indicator
gen participant = (emp_stat <= 3)

* generate employment indicator
gen employed = (emp_stat <= 2 & hours >= 10)

* generate hours last week for employed people
gen hours_nonzero = hours if emp_stat <= 1

* keep relevant variables
keep participant employed hours_nonzero year age sex cohort_g marstat wgt

save "c:\temp\figures.dta", replace

* participation, employment and hours by cohort and
* by sex
collapse (mean) participant employed hours [fw = wgt] if wgt >= 0, by(sex cohort_g age)

outsheet sex cohort_g age participant employed hours using "c:\temp\figs1.out", replace



* by sex for married people
use "c:\temp\figures.dta", clear
keep if marstat == 1
collapse (mean) participant employed hours [fw = wgt] if wgt >= 0, by(sex cohort_g age)

outsheet sex cohort_g age participant employed hours using "c:\temp\figs2.out", replace


